Alpaca 5.0

Installation

Prerequisites

  • Java JDK 1.8
    • The newest release can be found on Oracle's webpage.
  • Oracle TimesTen
    • TimesTen needs to be installed on the machine where Alpaca is to be installed.
    • Follow the official instructions to install TimesTen in a location of your choosing.
    • The TimesTen lib directory must be set in the ALPACA_TT_LIB environment variable for Alpaca to retrieve.
    • e.g. echo "export ALPACA_TT_LIB=/lib/TimesTen/tt1122/lib" >> /etc/bashrc
  • The IP address of the Alpaca system must be in an access control list on the BroadWorks profile server.
    • Login to the Profile Server.
    • In the BWCLI navigate to /Applications/BroadworksFileRepos/NetworkAccessLists/WebDav
    • Add the IP address of the machine running Alpaca's migration tools.

Setup

  • Download the Alpaca tarball
  • Extract the archive in the desired location
  • Move your license file (typically ecg.license.txt) into the conf directory of the extracted archive.
  • Edit the conf/alpaca.properties.json file to configure the BroadWorks cluster element for the desired BroadWorks install. See the configuration guide for additional information.
  • Run via ./alpaca

Tools

Configuration Check Tool

A tool to check and verify the configurations of Alpaca.

  • Run after configuring Alpaca.
  • Run via ./check
  • Checks:
    • License file
    • Times Ten Configuration
    • Times Ten connection to Application Server
    • Connection to Broadworks
    • Profile Server Access

Upgrade Tool

A tool to copy Alpaca configurations from one Alpaca installation to another.

  • Run via ./upgrade -i=<Previous Alpaca Configuration Path>
  • Compatible with Alpaca version 4.1.0 and above.